Index: src/send.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/send.c,v
retrieving revision 7.280
diff -b -u -r7.280 send.c
--- src/send.c	7 Jun 2004 00:39:45 -0000	7.280
+++ src/send.c	19 Aug 2004 22:16:46 -0000
@@ -58,7 +58,7 @@
  * side effects - linebuf is attached to client
  */
 static int
-_send_linebuf(struct Client *to, buf_head_t *linebuf)
+_send_linebuf(struct Client *to, buf_head_t * linebuf)
 {
 	if(IsMe(to))
 	{
@@ -81,8 +81,7 @@
 
 			ilog(L_SERVER, "Max SendQ limit exceeded for %s: %u > %lu",
 			     log_client_name(to, SHOW_IP),
-			     linebuf_len(&to->localClient->buf_sendq), 
-			     get_sendq(to));
+			     linebuf_len(&to->localClient->buf_sendq), get_sendq(to));
 		}
 
 		if(IsClient(to))
@@ -107,7 +106,8 @@
 	to->localClient->sendM += 1;
 	me.localClient->sendM += 1;
 	if(linebuf_len(&to->localClient->buf_sendq) > 0)
-		comm_setselect(to->localClient->fd, FDLIST_IDLECLIENT, COMM_SELECT_WRITE, send_queued_write, to, 0);
+		comm_setselect(to->localClient->fd, FDLIST_IDLECLIENT, COMM_SELECT_WRITE,
+			       send_queued_write, to, 0);
 	return 0;
 }
 
@@ -118,7 +118,7 @@
  * side effects - client has linebuf attached
  */
 static void
-send_linebuf_remote(struct Client *to, struct Client *from, buf_head_t *linebuf)
+send_linebuf_remote(struct Client *to, struct Client *from, buf_head_t * linebuf)
 {
 	if(to->from)
 		to = to->from;
@@ -139,8 +139,7 @@
 				     to->name, to->username, to->host,
 				     from->name, from->username, from->host, to->from->name);
 		kill_client_serv_butone(NULL, to, "%s (%s[%s@%s] Ghosted %s)",
-					me.name, to->name, to->username,
-					to->host, to->from->name);
+					me.name, to->name, to->username, to->host, to->from->name);
 
 		to->flags |= FLAGS_KILLED;
 
@@ -179,7 +178,7 @@
 
 	if(linebuf_len(&to->localClient->buf_sendq))
 	{
-		while ((retlen =
+		while((retlen =
 			linebuf_flush(to->localClient->fd, &to->localClient->buf_sendq)) > 0)
 		{
 			/* We have some data written .. update counters */
@@ -214,12 +213,11 @@
 		}
 	}
 	if(ignoreErrno(errno))
-		flags = COMM_SELECT_WRITE|COMM_SELECT_RETRY;
+		flags = COMM_SELECT_WRITE | COMM_SELECT_RETRY;
 	else
 		flags = COMM_SELECT_WRITE;
 	if(linebuf_len(&to->localClient->buf_sendq))
-	comm_setselect(fd, FDLIST_IDLECLIENT, flags,
-			       send_queued_write, to, 0);
+		comm_setselect(fd, FDLIST_IDLECLIENT, flags, send_queued_write, to, 0);
 }
 
 /* send_queued_slink_write()
@@ -282,7 +280,8 @@
 	/* if we have any more data, reschedule a write */
 	if(to->localClient->slinkq_len)
 		comm_setselect(to->localClient->ctrlfd, FDLIST_IDLECLIENT,
-			       COMM_SELECT_WRITE|COMM_SELECT_RETRY, send_queued_slink_write, to, 0);
+			       COMM_SELECT_WRITE | COMM_SELECT_RETRY, send_queued_slink_write, to,
+			       0);
 }
 
 /* sendto_one()
@@ -349,8 +348,7 @@
 	va_start(args, pattern);
 	linebuf_putmsg(&linebuf, pattern, &args,
 		       ":%s %s %s ",
-		       get_id(source_p, target_p),
-		       command, get_id(target_p, target_p));
+		       get_id(source_p, target_p), command, get_id(target_p, target_p));
 	va_end(args);
 
 	_send_linebuf(dest_p, &linebuf);
@@ -388,8 +386,7 @@
 	linebuf_newbuf(&linebuf);
 	va_start(args, pattern);
 	linebuf_putmsg(&linebuf, pattern, &args,
-		       ":%s NOTICE %s ",
-		       get_id(&me, target_p), get_id(target_p, target_p));
+		       ":%s NOTICE %s ", get_id(&me, target_p), get_id(target_p, target_p));
 	va_end(args);
 
 	_send_linebuf(dest_p, &linebuf);
@@ -428,9 +425,7 @@
 	linebuf_newbuf(&linebuf);
 	va_start(args, pattern);
 	linebuf_putmsg(&linebuf, pattern, &args,
-		       ":%s %03d %s ",
-		       get_id(&me, target_p),
-		       numeric, get_id(target_p, target_p));
+		       ":%s %03d %s ", get_id(&me, target_p), numeric, get_id(target_p, target_p));
 	va_end(args);
 
 	_send_linebuf(dest_p, &linebuf);
@@ -527,13 +522,10 @@
 	va_start(args, pattern);
 
 	if(IsServer(source_p))
-		linebuf_putmsg(&linebuf_local, pattern, &args,
-			       ":%s ", source_p->name);
+		linebuf_putmsg(&linebuf_local, pattern, &args, ":%s ", source_p->name);
 	else
 		linebuf_putmsg(&linebuf_local, pattern, &args,
-			       ":%s!%s@%s ",
-			       source_p->name, source_p->username, 
-			       source_p->host);
+			       ":%s!%s@%s ", source_p->name, source_p->username, source_p->host);
 
 	linebuf_putmsg(&linebuf_name, pattern, &args, ":%s ", source_p->name);
 	linebuf_putmsg(&linebuf_id, pattern, &args, ":%s ", use_id(source_p));
@@ -658,8 +650,7 @@
 			msptr = uptr->data;
 			target_p = msptr->client_p;
 
-			if(IsIOError(target_p) ||
-			   target_p->serial == current_serial)
+			if(IsIOError(target_p) || target_p->serial == current_serial)
 				continue;
 
 			target_p->serial = current_serial;
@@ -701,8 +692,7 @@
 	va_start(args, pattern);
 
 	if(IsServer(source_p))
-		linebuf_putmsg(&linebuf_local, pattern, &args, ":%s ", 
-			       source_p->name);
+		linebuf_putmsg(&linebuf_local, pattern, &args, ":%s ", source_p->name);
 	else
 		linebuf_putmsg(&linebuf_local, pattern, &args, ":%s!%s@%s ",
 			       source_p->name, source_p->username, source_p->host);
@@ -834,19 +824,16 @@
 	{
 		if(IsServer(source_p))
 			linebuf_putmsg(&linebuf, pattern, &args, ":%s %s %s ",
-				       source_p->name, command, 
-				       target_p->name);
+				       source_p->name, command, target_p->name);
 		else
 			linebuf_putmsg(&linebuf, pattern, &args, 
 				       ":%s!%s@%s %s %s ", 
 				       source_p->name, source_p->username,
-				       source_p->host, command,
-				       target_p->name);
+				       source_p->host, command, target_p->name);
 	}
 	else
 		linebuf_putmsg(&linebuf, pattern, &args, ":%s %s %s ",
-			       get_id(source_p, target_p), command,
-			       get_id(target_p, target_p));
+			       get_id(source_p, target_p), command, get_id(target_p, target_p));
 	va_end(args);
 
 	if(MyClient(target_p))
@@ -875,8 +862,7 @@
 	linebuf_newbuf(&linebuf);
 
 	va_start(args, pattern);
-	linebuf_putmsg(&linebuf, pattern, &args, 
-		       ":%s NOTICE * :*** Notice -- ", me.name);
+	linebuf_putmsg(&linebuf, pattern, &args, ":%s NOTICE * :*** Notice -- ", me.name);
 	va_end(args);
 
 	DLINK_FOREACH_SAFE(ptr, next_ptr, oper_list.head)
@@ -992,10 +978,8 @@
 	linebuf_newbuf(&linebuf_id);
 	
 	va_start(args, pattern);
-	linebuf_putmsg(&linebuf_name, pattern, &args, ":%s KILL %s :",
-		       me.name, target_p->name);
-	linebuf_putmsg(&linebuf_id, pattern, &args, ":%s KILL %s :",
-		       use_id(&me), use_id(target_p));
+	linebuf_putmsg(&linebuf_name, pattern, &args, ":%s KILL %s :", me.name, target_p->name);
+	linebuf_putmsg(&linebuf_id, pattern, &args, ":%s KILL %s :", use_id(&me), use_id(target_p));
 	va_end(args);
 
 	DLINK_FOREACH_SAFE(ptr, next_ptr, serv_list.head)
Index: src/snprintf.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/snprintf.c,v
retrieving revision 1.13
diff -b -u -r1.13 snprintf.c
--- src/snprintf.c	14 Oct 2003 16:34:22 -0000	1.13
+++ src/snprintf.c	19 Aug 2004 22:16:46 -0000
@@ -285,7 +285,7 @@
 	int written = 0;	/* bytes written so far */
 	int maxbytes = bytes - 1;
 
-	while ((ch = *format++) && (written < maxbytes))
+	while((ch = *format++) && (written < maxbytes))
 	{
 		if(ch == '%')
 		{
@@ -302,7 +302,7 @@
 			{
 				const char *str = va_arg(args, const char *);
 
-				while ((*dest = *str))
+				while((*dest = *str))
 				{
 					++dest;
 					++str;
@@ -376,23 +376,23 @@
 
 					str = IntTable[num - (quotient * TABLE_MAX)];
 
-					while ((*digitptr = *str))
+					while((*digitptr = *str))
 					{
 						++digitptr;
 						++str;
 					}
 				}
-				while ((num = quotient) != 0);
+				while((num = quotient) != 0);
 
 				/*
 				 * If the last quotient was a 1 or 2 digit number, there
 				 * will be one or more leading zeroes in TempBuffer[] -
 				 * get rid of them.
 				 */
-				while (*(digitptr - 1) == '0')
+				while(*(digitptr - 1) == '0')
 					--digitptr;
 
-				while (digitptr != TempBuffer)
+				while(digitptr != TempBuffer)
 				{
 					*dest++ = *--digitptr;
 					if(++written >= maxbytes)
@@ -435,18 +435,18 @@
 
 					str = IntTable[num - (quotient * TABLE_MAX)];
 
-					while ((*digitptr = *str))
+					while((*digitptr = *str))
 					{
 						++digitptr;
 						++str;
 					}
 				}
-				while ((num = quotient) != 0);
+				while((num = quotient) != 0);
 
-				while (*(digitptr - 1) == '0')
+				while(*(digitptr - 1) == '0')
 					--digitptr;
 
-				while (digitptr != TempBuffer)
+				while(digitptr != TempBuffer)
 				{
 					*dest++ = *--digitptr;
 					if(++written >= maxbytes)
@@ -484,18 +484,18 @@
 
 						str = IntTable[num - (quotient * TABLE_MAX)];
 
-						while ((*digitptr = *str))
+						while((*digitptr = *str))
 						{
 							++digitptr;
 							++str;
 						}
 					}
-					while ((num = quotient) != 0);
+					while((num = quotient) != 0);
 
-					while (*(digitptr - 1) == '0')
+					while(*(digitptr - 1) == '0')
 						--digitptr;
 
-					while (digitptr != TempBuffer)
+					while(digitptr != TempBuffer)
 					{
 						*dest++ = *--digitptr;
 						if(++written >= maxbytes)
@@ -503,9 +503,9 @@
 					}
 
 					continue;
-				} else	/* if (*format == 'u') */
-
-				if(*format == 'd')
+				}
+				else
+					/* if (*format == 'u') */ if(*format == 'd')
 				{
 					long num = va_arg(args, long);
 					long quotient;
@@ -536,18 +536,18 @@
 
 						str = IntTable[num - (quotient * TABLE_MAX)];
 
-						while ((*digitptr = *str))
+						while((*digitptr = *str))
 						{
 							++digitptr;
 							++str;
 						}
 					}
-					while ((num = quotient) != 0);
+					while((num = quotient) != 0);
 
-					while (*(digitptr - 1) == '0')
+					while(*(digitptr - 1) == '0')
 						--digitptr;
 
-					while (digitptr != TempBuffer)
+					while(digitptr != TempBuffer)
 					{
 						*dest++ = *--digitptr;
 						if(++written >= maxbytes)
@@ -555,15 +555,16 @@
 					}
 
 					continue;
-				} else	/* if (*format == 'd') */
+				}
+				else	/* if (*format == 'd') */
 				{
 					int ret;
 					format -= 2;
-					#ifdef HAVE_VSNPRINTF
+#ifdef HAVE_VSNPRINTF
 						ret = vsnprintf(dest, maxbytes - written, format, args);
-					#else
+#else
 						ret = vsprintf(dest, format, args);
-					#endif
+#endif
 					dest += ret;
 					written += ret;
 					break;
@@ -583,11 +584,11 @@
 				 */
 
 				format -= 2;
-                                #ifdef HAVE_VSNPRINTF
+#ifdef HAVE_VSNPRINTF
                                 	ret = vsnprintf(dest, maxbytes - written, format, args);
-                                #else
+#else
                                 	ret = vsprintf(dest, format, args);
-				#endif
+#endif
 				dest += ret;
 				written += ret;
 
@@ -631,7 +632,7 @@
 	char ch;
 	int written = 0;	/* bytes written so far */
 
-	while ((ch = *format++))
+	while((ch = *format++))
 	{
 		if(ch == '%')
 		{
@@ -648,7 +649,7 @@
 			{
 				const char *str = va_arg(args, const char *);
 
-				while ((*dest = *str))
+				while((*dest = *str))
 				{
 					++dest;
 					++str;
@@ -721,23 +722,23 @@
 
 					str = IntTable[num - (quotient * TABLE_MAX)];
 
-					while ((*digitptr = *str))
+					while((*digitptr = *str))
 					{
 						++digitptr;
 						++str;
 					}
 				}
-				while ((num = quotient) != 0);
+				while((num = quotient) != 0);
 
 				/*
 				 * If the last quotient was a 1 or 2 digit number, there
 				 * will be one or more leading zeroes in TempBuffer[] -
 				 * get rid of them.
 				 */
-				while (*(digitptr - 1) == '0')
+				while(*(digitptr - 1) == '0')
 					--digitptr;
 
-				while (digitptr != TempBuffer)
+				while(digitptr != TempBuffer)
 				{
 					*dest++ = *--digitptr;
 					++written;
@@ -779,18 +780,18 @@
 
 					str = IntTable[num - (quotient * TABLE_MAX)];
 
-					while ((*digitptr = *str))
+					while((*digitptr = *str))
 					{
 						++digitptr;
 						++str;
 					}
 				}
-				while ((num = quotient) != 0);
+				while((num = quotient) != 0);
 
-				while (*(digitptr - 1) == '0')
+				while(*(digitptr - 1) == '0')
 					--digitptr;
 
-				while (digitptr != TempBuffer)
+				while(digitptr != TempBuffer)
 				{
 					*dest++ = *--digitptr;
 					++written;
@@ -827,18 +828,18 @@
 
 						str = IntTable[num - (quotient * TABLE_MAX)];
 
-						while ((*digitptr = *str))
+						while((*digitptr = *str))
 						{
 							++digitptr;
 							++str;
 						}
 					}
-					while ((num = quotient) != 0);
+					while((num = quotient) != 0);
 
-					while (*(digitptr - 1) == '0')
+					while(*(digitptr - 1) == '0')
 						--digitptr;
 
-					while (digitptr != TempBuffer)
+					while(digitptr != TempBuffer)
 					{
 						*dest++ = *--digitptr;
 						++written;
@@ -877,18 +878,18 @@
 
 						str = IntTable[num - (quotient * TABLE_MAX)];
 
-						while ((*digitptr = *str))
+						while((*digitptr = *str))
 						{
 							++digitptr;
 							++str;
 						}
 					}
-					while ((num = quotient) != 0);
+					while((num = quotient) != 0);
 
-					while (*(digitptr - 1) == '0')
+					while(*(digitptr - 1) == '0')
 						--digitptr;
 
-					while (digitptr != TempBuffer)
+					while(digitptr != TempBuffer)
 					{
 						*dest++ = *--digitptr;
 						++written;
